Ngā utu kaute
GET https://tistos.com/api/payments/
curl --request GET \
--url 'https://tistos.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
| Ngā Tūāpapa | Taipitopito | Whakaahuatanga |
|---|---|---|
| processor | Kōwhiringa Rārangi | Ngā uara e whakaaetia ana: paypal, stripe, offline_payment, payu, iyzico, paystack, razorpay, mollie, onepay, yookassa, crypto_com, paddle, paddle_billing, mercadopago, midtrans, flutterwave, lemonsqueezy, myfatoorah, klarna, plisio, revolut |
| status | Kōwhiringa Rārangi | Ngā uara e whakaaetia ana: paid, pending, cancelled, refunded |
| type | Kōwhiringa Rārangi | Ngā uara e whakaaetia ana: one_time, recurring |
| frequency | Kōwhiringa Rārangi | Ngā uara e whakaaetia ana: monthly, quarterly, biannual, annual, lifetime |
| datetime_field | Kōwhiringa Rārangi | Ngā uara e whakaaetia ana: datetime |
| datetime_start | Kōwhiringa Rārangi | Tātarihia ngā hua mai i tēnei rā me te wā. Hōputu Y-m-d H:i:s. |
| datetime_end | Kōwhiringa Rārangi | Tātarihia ngā hua tae noa ki tēnei rā me te wā. Hōputu Y-m-d H:i:s. |
| order_by | Kōwhiringa Rārangi | He aha te mara hei whakarite i ngā hua. Ko ngā uara e whakaaetia ana ko: id, datetime, total_amount. |
| order_type | Kōwhiringa Rārangi | Ko te whakaritenga o ngā hua. Ko ngā uara e whakaaetia ana: ASC mō te whakaritenga piki, me DESC mō te whakaritenga heke. |
| page | Kōwhiringa Tāuru | Ko te tau whārangi e hiahia ana koe i ngā hua mai. Ka tūtohu ki te 1. |
| results_per_page | Kōwhiringa Tāuru | E hia ngā hua e hiahia ana koe mō ia whārangi. Ko ngā uara e whakaaetia ana ko: 10, 25, 50, 100, 250, 500, 1000. Ko te paerewa ko 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"plan_id": 1,
"payment_id": "pi_123456789",
"base_amount": 4.99,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"code": null,
"discount_amount": 0,
"email": "[email protected]",
"name": null,
"total_amount": 4.99,
"total_amount_default_currency": 4.99,
"currency": "USD",
"status": "paid",
"plan": null,
"billing": null,
"business": null,
"taxes_ids": null,
"payment_proof": null,
"payment_proof_url": null,
"refunds": [],
"refunded_total": 0,
"refunded_status": null,
"datetime": "2026-10-17 12:18:03"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://tistos.com/api/payments?page=1",
"last": "https://tistos.com/api/payments?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/payments?page=1"
}
}
GET https://tistos.com/api/payments/{id}
curl --request GET \
--url 'https://tistos.com/api/payments/{id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/payments/{id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"plan_id": 1,
"payment_id": "pi_123456789",
"base_amount": 4.99,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"code": null,
"discount_amount": 0,
"email": "[email protected]",
"name": null,
"total_amount": 4.99,
"total_amount_default_currency": 4.99,
"currency": "USD",
"status": "paid",
"plan": null,
"billing": null,
"business": null,
"taxes_ids": null,
"payment_proof": null,
"payment_proof_url": null,
"refunds": [],
"refunded_total": 0,
"refunded_status": null,
"datetime": "2026-10-17 12:18:03"
}
}